// Copyright © Selmo Technology GmbH. All Rights Reserved

namespace SelmoStudio.Hmi.Server.SelmoHmi.Sequence.Service
{
    public interface IStepService
    {
        event EventHandler CountChanged;

        public void IncrementStep(Guid id);

        public void DecrementStep(Guid id);

        public int GetStepCount(Guid id);

        public void ResetCount(Guid id);
    }
}